<template>
  <section class="section">
    <div class="container">
      <div class="columns is-centered">
        <div class="column is-4 is-centered has-text-left">
          <h3 class="title">Setup</h3>
          <hr>
          <strong>Amount for each dependency</strong><br>
          <br>
          <div class="field has-addons">
            <b-field>
              <b-select
                v-model="currency">
                <option
                  v-for="(option, index) in currencies"
                  :value="option"
                  :key="index">
                  {{ option.symbol }}
                </option>
              </b-select>
            </b-field>
            <b-field expanded>
              <b-input
                v-model="amount"
                placeholder="Amount"
                type="text">
              </b-input>
            </b-field>
          </div>
          <p class="control">
            <button @click="setup" class="button is-success is-pulled-right">Finish</button>
          </p>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import { currencies } from '@/utils/currencies'
import SETUP_MUTATION from '@/graphql/User/Setup.gql'
export default {
  data: () => ({
    amount: '0.20',
    currencies,
    currency: {
      abbreviation: 'GBP',
      symbol: '£',
      locale: 'en-GB'
    }
  }),
  methods: {
    setup () {
      this.$apollo.mutate({
        mutation: SETUP_MUTATION,
        variables: {
          amount: this.amount,
          currency: this.currency
        }
      }).then(() => {
        this.$router.push('/authorise')
      })
    }
  }
}
</script>
